package com.example.survey.entity.inner;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.*;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author Pope
 * 检测项目
 */
@Getter
@Setter
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class Detection {

    /**
     * 检测项目名称
     */
    private String name;

    /**
     * 检测时间
     * 年月日
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date date;

    /**
     * 检测结果
     */
    private String result;
}
