package com.example.survey.entity.inner;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.*;

import java.util.Date;

/**
 * @author Pope
 * 体温历史
 */
@Getter
@Setter
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class TempHistory {

    /**
     * 检测时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd:HH:mm:ss")
    private Date time;

    /**
     * 体温
     */
    private String data;

}
